ZenLib::BitStream Class Reference

`#include <BitStream.h>`

Inheritance diagram for ZenLib::BitStream:

## Public Member Functions

| BitStream ()
| BitStream (const int8u *Buffer_, size_t Size_)
virtual | ~BitStream ()
virtual void | Attach (const int8u *Buffer_, size_t Size_)
virtual int32u | Get (size_t HowMany)
bool | GetB ()
int8u | Get1 (size_t HowMany)
int16u | Get2 (size_t HowMany)
int32u | Get4 (size_t HowMany)
int64u | Get8 (size_t HowMany)
virtual void | Skip (size_t HowMany)
void | SkipB ()
void | Skip1 (size_t HowMany)
void | Skip2 (size_t HowMany)
void | Skip4 (size_t HowMany)
void | Skip8 (size_t HowMany)
int32u | Peek (size_t HowMany)
bool | PeekB ()
int8u | Peek1 (size_t HowMany)
int16u | Peek2 (size_t HowMany)
int32u | Peek4 (size_t HowMany)
int32u | Peek3 (size_t HowMany)
int64u | Peek8 (size_t HowMany)
void | BookMarkPos (bool ToSet)
virtual int32u | Remain ()
virtual void | Byte_Align ()
virtual size_t | Offset_Get ()
virtual size_t | BitOffset_Get ()
virtual size_t | OffsetBeforeLastCall_Get ()

## Constructor & Destructor Documentation

## BitStream() [1/2]

ZenLib::BitStream::BitStream | ( |  | ) |

inline

References NULL.

Referenced by ZenLib::BitStream_LE::BitStream_LE(), and ZenLib::BitStream_LE::BitStream_LE().

## BitStream() [2/2]

ZenLib::BitStream::BitStream | ( | const int8u * | Buffer_,
|  | size_t | Size_ )

inline

## ~BitStream()

virtual ZenLib::BitStream::~BitStream | ( |  | ) |

inline virtual

## Member Function Documentation

## Attach()

virtual void ZenLib::BitStream::Attach | ( | const int8u * | Buffer_,
|  | size_t | Size_ )

inline virtual

Reimplemented in ZenLib::BitStream_LE.

## BitOffset_Get()

virtual size_t ZenLib::BitStream::BitOffset_Get | ( |  | ) |

inline virtual

Reimplemented in ZenLib::BitStream_LE.

## BookMarkPos()

void ZenLib::BitStream::BookMarkPos | ( | bool | ToSet | ) |

inline

Referenced by Peek().

## Byte_Align()

virtual void ZenLib::BitStream::Byte_Align | ( |  | ) |

inline virtual

Reimplemented in ZenLib::BitStream_LE.

References Get().

## Get()

virtual int32u ZenLib::BitStream::Get | ( | size_t | HowMany | ) |

inline virtual

Reimplemented in ZenLib::BitStream_LE.

References MIN.

Referenced by Byte_Align(), Get1(), Get2(), Get4(), Get8(), GetB(), and Peek().

## Get1()

int8u ZenLib::BitStream::Get1 | ( | size_t | HowMany | ) |

inline

References Get().

## Get2()

int16u ZenLib::BitStream::Get2 | ( | size_t | HowMany | ) |

inline

References Get().

## Get4()

int32u ZenLib::BitStream::Get4 | ( | size_t | HowMany | ) |

inline

References Get().

## Get8()

int64u ZenLib::BitStream::Get8 | ( | size_t | HowMany | ) |

inline

References Get().

## GetB()

bool ZenLib::BitStream::GetB | ( |  | ) |

inline

References Get().

## Offset_Get()

virtual size_t ZenLib::BitStream::Offset_Get | ( |  | ) |

inline virtual

Reimplemented in ZenLib::BitStream_LE.

## OffsetBeforeLastCall_Get()

virtual size_t ZenLib::BitStream::OffsetBeforeLastCall_Get | ( |  | ) |

inline virtual

Reimplemented in ZenLib::BitStream_LE.

## Peek()

int32u ZenLib::BitStream::Peek | ( | size_t | HowMany | ) |

inline

References BookMarkPos(), and Get().

Referenced by Peek1(), Peek2(), Peek3(), Peek4(), Peek8(), and PeekB().

## Peek1()

int8u ZenLib::BitStream::Peek1 | ( | size_t | HowMany | ) |

inline

References Peek().

## Peek2()

int16u ZenLib::BitStream::Peek2 | ( | size_t | HowMany | ) |

inline

References Peek().

## Peek3()

int32u ZenLib::BitStream::Peek3 | ( | size_t | HowMany | ) |

inline

References Peek().

## Peek4()

int32u ZenLib::BitStream::Peek4 | ( | size_t | HowMany | ) |

inline

References Peek().

## Peek8()

int64u ZenLib::BitStream::Peek8 | ( | size_t | HowMany | ) |

inline

References Peek().

## PeekB()

bool ZenLib::BitStream::PeekB | ( |  | ) |

inline

References Peek().

## Remain()

virtual int32u ZenLib::BitStream::Remain | ( |  | ) |

inline virtual

Reimplemented in ZenLib::BitStream_LE.

## Skip()

virtual void ZenLib::BitStream::Skip | ( | size_t | HowMany | ) |

inline virtual

Reimplemented in ZenLib::BitStream_LE.

References MIN, and Skip().

Referenced by Skip(), Skip1(), Skip2(), Skip4(), Skip8(), and SkipB().

## Skip1()

void ZenLib::BitStream::Skip1 | ( | size_t | HowMany | ) |

inline

References Skip().

## Skip2()

void ZenLib::BitStream::Skip2 | ( | size_t | HowMany | ) |

inline

References Skip().

## Skip4()

void ZenLib::BitStream::Skip4 | ( | size_t | HowMany | ) |

inline

References Skip().

## Skip8()

void ZenLib::BitStream::Skip8 | ( | size_t | HowMany | ) |

inline

References Skip().

## SkipB()

void ZenLib::BitStream::SkipB | ( |  | ) |

inline

References Skip().

The documentation for this class was generated from the following file:

- BitStream.h